#!/bin/bash
/* foreground colors */
#define AFC_BLACK           30
#define AFC_RED             31
#define AFC_GREEN           32
#define AFC_YELLOW 			33
#define AFC_BLUE            34
#define AFC_MAGENTA         35
#define AFC_CYAN            36
#define AFC_WHITE           37

/* ansi background colors */
#define ABC_BLACK           40
#define ABC_RED             41
#define ABC_GREEN           42
#define ABC_YELLOW          43
#define ABC_BLUE            44
#define ABC_MAGENTA         45
#define ABC_CYAN            46
#define ABC_WHITE           47

Principal()
{
   clear;
   cecho 1 44 "***************************************************************************";
   cecho 1 44 "|Projeto Expresso Livre                                                   |";
   cecho 1 44 "| http://www.expressolivre.org                                            |";
   cecho 1 44 "| Script Genrico para instalao do ambiente Expresso Livre.             |";
   cecho 1 44 "| Verso 1.0 - Data 11/09/2007                                            |";
   cecho 1 44 "| IMPORTANTE: LEIA O ARQUIVO README ANTES DE INSTALAR!!!                  |";
   cecho 1 44 "| Cada script de cada distribuio possui seu mantenedor.                 |";
   cecho 1 44 "| Voc pode encontrar os crditos em cada instalador.                     |";   
   cecho 1 44 "***************************************************************************";
   echo   
   cecho 33 1 "Escolha a sua distribuio Linux:"
   echo
   cecho 1 1 "1. Debian Sarge"
   cecho 1 1 "2. Debian Etch (UTF-8)"
   cecho 1 1 "3. Debian Etch (ISO-8859-1)"
   cecho 1 1 "4. Debian Lenny (UTF-8)"
   cecho 1 1 "5. SuSe 10.0"
   cecho 1 1 "6. SuSe 10.1"
   cecho 1 1 "7. CentOS 5"
   cecho 1 1 "8. Red Hat Enterprise 5"   
   cecho 1 1 "9. Sair do Script"
   echo
   cecho 32 1 "Digite sua opo e pressione ENTER: " -n; read opcao;
   case $opcao in
     1) InstalarDebian_sarge;;
     2) InstalarDebian_etch ;;
     3) InstalarDebian_etch_iso ;;
     4) InstalarDebian_lenny ;;
     5) InstalarSuse_100 ;;
     6) InstalarSuse_101 ;;
     7) InstalarCentos_5 ;;
     8) InstalarRH_E5 ;;
     9) Fim;;
     *) cecho 31 1 "Erro: Opo invlida" ; sleep 1; clear; Principal;
   esac
}

#	Funo para imprimir colorido
#	$1 -> Nmero da cor do texto
#	$2 -> Nmero da cor de fundo
#	$3 -> Texto
#	$4 -> Imprimir na mesma linha, use -n
cecho(){
	echo $4 -e "\e[$1;$2m $3";tput sgr0;
}

returnMain()
{
    cd ..;
    cecho 31 1 "Pressione ENTER para voltar ao menu principal" -n;
    read a; 
    clear;
    Principal
}
# Funes que invocam os respectivos scripts
InstalarDebian_sarge()
{
	echo "Invocando o script para o Debian Sarge ...";
    cd debian;./expressoInstallDebian-sarge.sh; 
	returnMain;
}
InstalarDebian_etch()
{
    echo "Invocando o script para o Debian Etch ...";
    cd debian;./expressoInstallDebian-etch.sh;
	returnMain;
}
InstalarDebian_etch_iso()
{
    echo "Invocando o script para o Debian Etch (ISO-8859-1) ...";
    cd debian;./expressoInstallDebian-etch-ISO8859-1.sh;
  	returnMain;
}
InstalarDebian_lenny()
{
    echo "Invocando o script para o Debian Etch ...";
    cd debian;./expressoInstallDebian-lenny.sh;
	returnMain;
}
InstalarSuse_100()
{
    echo "Invocando o script para o Suse 10.0 ...";
    cd suse;./expressoInstallSuse10.0.sh;
	returnMain;
}
InstalarSuse_101()
{
    echo "Invocando o script para o Suse 10.1 ...";
    cd suse;./expressoInstallSuse10.1.sh;
	returnMain;
}
InstalarCentos_5()
{
    echo "Invocando o script para o CentoOS ...";
    cd rhel5-centos5;./expressoInstallCentos5.sh;
	returnMain;
}
InstalarRH_E5()
{
    echo "Invocando o script para o Red Hat Enterprise 5 ...";
    cd rhel5-centos5;./expressoInstallRHEL5.sh;
	returnMain;
}

Fim()
{
# clear;
# cecho 1 43 "***************************************************************************";
# cecho 1 43 "| Projeto Expresso Livre                                                  |";
# cecho 1 43 "| http://www.expressolivre.org                                            |";
# cecho 1 43 "| Script Genrico que invoca os demais scripts.                           |";
# cecho 1 43 "| Cada distribuio possui seu script individual.                         |";
# cecho 1 43 "| Os scripts so contribuies recebidas da comunidade ExpressoLivre.     |";
# cecho 1 43 "| ------------------------------------------------------------------------|";
# cecho 1 43 "| This program is free software; you can redistribute it and/or modify it |";
# cecho 1 43 "| under the terms of the GNU General Public License as published by the   |";
# cecho 1 43 "| Free Software Foundation; either version 2 of the License, or (at your  |";
# cecho 1 43 "| option)  any later version.                                             |";
# cecho 1 43 "***************************************************************************";
 exit 0;
}

Principal
